% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print.R, R/ouchtree.R, R/hansen.R, R/brown.R
\name{print}
\alias{print}
\alias{show}
\alias{print,ouchtree-method}
\alias{show,ouchtree-method}
\alias{print,hansentree-method}
\alias{show,hansentree-method}
\alias{show,browntree-method}
\alias{print,browntree-method}
\title{Print and show methods}
\usage{
\S4method{print}{ouchtree}(x, ...)

\S4method{show}{ouchtree}(object)

\S4method{print}{hansentree}(x, ...)

\S4method{show}{hansentree}(object)

\S4method{show}{browntree}(object)

\S4method{print}{browntree}(x, ...)
}
\arguments{
\item{...}{additional arguments, ignored.}

\item{object, x}{object to display.}
}
\value{
\code{print} returns \code{x}, invisibly.

\code{show} returns \code{NULL}, invisibly.
}
\description{
Print and show methods
}
\details{
\code{print} displays the tree as a table, along with the coefficients of the fitted model and diagnostic information.
\code{show} provides a similar display.
}
\seealso{
Other methods for ouch trees: 
\code{\link{as_data_frame}},
\code{\link{bootstrap}()},
\code{\link{coef}()},
\code{\link{logLik}},
\code{\link{ouch-package}},
\code{\link{paint}()},
\code{\link{plot}()},
\code{\link{simulate}()},
\code{\link{summary}()},
\code{\link{update}()}
}
\concept{methods for ouch trees}
\keyword{internal}
